Search documentation of tiger_stripe

# Stripe.Services.Reporting.ReportRunService (tiger_stripe v0.1.1)

Copy Markdown View Source

reporting_report_run

The Report Run object represents an instance of a report type generated with specific run parameters. Once the object is created, Stripe begins processing the report. When the report has finished running, it will give you a reference to a file where you can retrieve your results. For an overview, see API Access to Reports.

Note that certain report types can only be run based on your live-mode data (not test-mode data), and will error when queried without a live-mode API key.

## Summary

### Functions

create(client, params \\ %{}, opts \\ [])

Create a Report Run

list(client, params \\ %{}, opts \\ [])

List all Report Runs

retrieve(client, report_run, params \\ %{}, opts \\ [])

Retrieve a Report Run

## Functions

# create(client, params \\ %{}, opts \\ [])

    @spec create(Stripe.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Create a Report Run

Creates a new object and begin running the report. (Certain report types require a live-mode API key.)

# list(client, params \\ %{}, opts \\ [])

    @spec list(Stripe.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

List all Report Runs

Returns a list of Report Runs, with the most recent appearing first.

# retrieve(client, report_run, params \\ %{}, opts \\ [])

    @spec retrieve(Stripe.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Retrieve a Report Run

Retrieves the details of an existing Report Run.